PHP Manual
Prev |  | Next

# mysqli_get_server_version

(PHP 5)

mysqli_get_server_version

(no version information, might be only in CVS)

mysqli->server_version -- Returns the version of the MySQL server as an integer

## Description

Procedural style:

int mysqli_get_server_version ( mysqli link )

Object oriented style (property):

class mysqli {
int server_version
}

The mysqli_get_server_version() function returns the version of the server connected to (represented by the `link` parameter) as an integer.

## Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

## Return Values

An integer representing the server version.

The form of this version number is `main_version * 10000 + minor_version * 100 + sub_version` (i.e. version 4.1.0 is 40100).

## Examples

Example 1. Object oriented style

`<?php $mysqli = new mysqli("localhost", "my_user", "my_password"); /* check connection */ if (mysqli_connect_errno()) { printf("Connect failed: %s\n", mysqli_connect_error()); exit(); } /* print server version */ printf("Server version: %d\n", $mysqli->server_version); /* close connection */ $mysqli->close(); ?>`

Example 2. Procedural style

`<?php $link = mysqli_connect("localhost", "my_user", "my_password"); /* check connection */ if (mysqli_connect_errno()) { printf("Connect failed: %s\n", mysqli_connect_error()); exit(); } /* print server version */ printf("Server version: %d\n", mysqli_get_server_version($link)); /* close connection */ mysqli_close($link); ?>`

The above example will output:

    Server version: 40102

## See Also

mysqli_get_client_info()
mysqli_get_client_version()
mysqli_get_server_info()

Prev | Home | Next
mysqli_get_server_info | Up | mysqli_get_warnings